/*
html4chips  Michael J. Chappell  8/12/10

processes the rgbp.txt and grayp.txt and creates rgb and gray which can 
be used as stubs to display color info as well as the chip itself which
is assumed to be in /images/chips/png with bmp available in /images/chips/bmp.

See bmpchips.c for more information.

This again is a hack available to the public domain.

HTML4CHIPS  MICHAEL J. CHAPPELL  8/12/10
mcsuper5@freeshell.org http://mcsuper5.freeshell.org/bmpchips.html
*/

#include <stdio.h>
#include <stdlib.h>

void help(void);

int main(int argc, char **argv) {
  int red, green, blue;
  char colname[255];

  FILE *fpin, *fpout;

  fpin = fopen("rgbp.txt", "r");
  fpout = fopen("rgb", "w");
  while (!feof(fpin)) {
    fscanf(fpin, "%d %d %d %s", &red, &green, &blue, colname);
    fprintf(fpout, "<div class=\"chip\">\
#%02x%02x%02x %d %d %d <img src=\"/images/chips/png/%s.png\" \
alt=\"/images/chips/png/%s.png\" /> \
<a href=\"/images/chips/bmp/%s.bmp\">%s</a></div>\n",
	   red, green, blue, red, green, blue, colname, colname,
	   colname, colname);
  }
  fclose(fpout);
  fclose(fpin);


  fpin = fopen("grayp.txt", "r");
  fpout = fopen("gray", "w");
  while (!feof(fpin)) {
    fscanf(fpin, "%d %d %d %s", &red, &green, &blue, colname);
    fprintf(fpout, "<div class=\"chip\">\
#%02x%02x%02x %d %d %d <img src=\"/images/chips/png/%s.png\" \
alt=\"/images/chips/png/%s.png\" /> \
<a href=\"/images/chips/bmp/%s.bmp\">%s</a></div>\n",
	   red, green, blue, red, green, blue, colname, colname,
	   colname, colname);
  }
  fclose(fpout);
  fclose(fpin);

  return 0;
}

void help(void) {
  printf("\
html4chips  Michael J. Chappell  8/12/10\n\
\n\
processes the rgbp.txt and grayp.txt and creates rgb and gray which can\n\
be used as stubs to display color info as well as the chip itself which\n\
is assumed to be in /images/chips/png with bmp available in /images/chips/bmp.\n\
\n\
See bmpchips.c for more information.\n\
\n\
This again is a hack available to the public domain.\n\
\n\
HTML4CHIPS  MICHAEL J. CHAPPELL  8/12/10\n\
mcsuper5@freeshell.org http://mcsuper5.freeshell.org/bmpchips.html\n\
");
  return;
}
